Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme
Class PortalTheme

    java.lang.Object
      org.jboss.portal.theme.PortalTheme

Direct Known Subclasses:
  WARTheme

    public abstract class PortalTheme

extends java.lang.Object

A portal theme is a collection of tags that will be injected into a layout to govern the look and feel of a portal page.

Themes are links to css, javascript and image/resource files. A theme's css needs to cooperate with the markup in the portal layout, the markup produced by the portlets, and the markup produced by the render set.

Any theme that the portal will pick up needs to be defined in a theme descriptor. The theme desciptor is an xml file in WEB-INF/ with the file name *-themes.xml

Version:
  $LastChangedRevision: 8784 $, $LastChangedDate: 2007-10-28 01:01:46 +0200 (Sun, 28 Oct 2007) $
Author:
  `ObjectRenderer`, `PortalLayout`

Constructor Summary
`PortalTheme()`

Method Summary
`void` | `destroy()` Destroy the theme.
`abstract java.util.Collection` | `getElements()`
`ThemeServiceInfo` | `getServiceInfo()`
`ThemeInfo` | `getThemeInfo()`
`void` | `init(ThemeServiceInfo serviceInfo, ThemeInfo info)` Initialize the theme with a reference to the theme service and the theme meta data

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalTheme

    public PortalTheme()

Method Detail

### getElements

    public abstract java.util.Collection getElements()

### init

    public void init(ThemeServiceInfo serviceInfo,
                     ThemeInfo info)

  Initialize the theme with a reference to the theme service and the theme meta data

  Parameters:
    `serviceInfo` - a theme service reference
    `info` - the meta data of the theme to render

### destroy

    public void destroy()

  Destroy the theme. Here is your chance to clean up

### getThemeInfo

    public ThemeInfo getThemeInfo()

  Returns:
    the theme meta data

### getServiceInfo

    public ThemeServiceInfo getServiceInfo()

  Returns:
    the theme service info

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD